<?php

namespace xenarabia\usermood\XF\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;


class UsermoodEntity extends Entity
{
	 
	
	public static function getStructure(Structure $structure)
	{
		$options = \XF::options();
		$structure->table = 'xf_usermood';
		$structure->shortName = 'xenarabia\usermood\XF:UsermoodEntity';
		$structure->primaryKey = 'mood_id';
		$structure->columns = [
			'mood_id' => ['type' => self::UINT, 'autoIncrement' => true],				
			'mood_name' => ['type' => self::STR ],			
			'mood_pic' => ['type' => self::STR ],					
			'mood_act' => ['type' => self::UINT, 'default' => 0 ],			
		];
		$structure->getters = [];
		$structure->relations = [
			'User' => [
				'entity' => 'XF:User',
				'type' => self::TO_ONE,
				'conditions' => [['mood_id', '=', '$mood_id']],
				'primary' => true
			],
		];
		
		
		return $structure;
    }
    
}