<?php

namespace xenarabia\usermood\XF\Pub\Controller;

use XF\Mvc\FormAction;
use XF\Mvc\ParameterBag;
use XF\Mvc\Reply\View;
use XF\Pub\Controller\AbstractController;

use xenarabia\usermood\XF\Entity\UsermoodEntity;

class UsermoodPub extends AbstractController{

    protected function preDispatchController($action, ParameterBag $params) {
        $this->assertRegistrationRequired();
        $this->assertCanEditMood();
	}

    protected function assertCanEditMood() {
		if(!\XF::visitor()->hasPermission('usermoodPermission', 'canEditUsermood')) {
			throw $this->exception($this->noPermission());
		}		
    }
    

    public function actionIndex(ParameterBag $params)
	{
        $this->assertCanEditMood();
        $mood = $this->getUserMood();
        $moods = $this->getAllMoods();
        $viewParams = [
            'mood'  => $mood,
            'moods' => $moods
        ];
		return $this->view('xenarabia\usermood\XF:usermood\view', 'um_account_mood', $viewParams);
    }

    

    public function actionSave(ParameterBag $params)
	{
        $this->assertPostOnly();
        $mood_id = $params['mood_id'];
        $user_id = \XF::visitor()->user_id;
		if ($params['mood_id'])
		{
            $moodId = $this->filter('mood_id', 'str');
            $this->app->db()->update('xf_user', ['mood_id' => $moodId], 'user_id = ?', $user_id);
		}
		

		 return $this->redirect($this->buildLink('account/usermood'), \XF::phrase('mood_has_been_posted'));
	}

    protected function assertMoodExists($id, $with = null, $phraseKey = null)
	{
		return $this->assertRecordExists('xenarabia\usermood\XF:UsermoodEntity', $id, $with, $phraseKey);
    }
    
    public function getUserMood()
    {
        $repo = $this->repository('xenarabia\usermood\XF:UsermoodRepo');
		return $repo->getUsermoodByUserId();
    }


    public function getAllMoods()
    {
        $repo = $this->repository('xenarabia\usermood\XF:UsermoodRepo');
		return $repo->getUsermood();
    }
   
}