<?php

namespace xenarabia\usermood\XF\Repository;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Repository;

class UsermoodRepo extends Repository
{

    public function getUsermood()
    {
        $getwhispers = $this->finder('xenarabia\usermood\XF:UsermoodEntity');
        $getwhispers
        ->order('mood_id','DESC')
        ->fetch();

        return $getwhispers;     
    }

    public function getUsermoodById($mood_id)
    {
        $visitor = \XF::visitor();
        $db = \XF::db();
        return $this->finder('xenarabia\usermood\XF:UsermoodEntity')
        ->where('mood_id', $mood_id)
        ->fetchOne();  
    }

    public function getUsermoodByUserId()
    {
        $visitor = \XF::visitor();
        return $this->finder('xenarabia\usermood\XF:UsermoodEntity')
        // ->with('UserMood')
        ->where('mood_id', $visitor->mood_id)
        ->fetchOne();  
    }


    public function getUsermoodByUser($userid)
    {
        return $this->finder('xenarabia\usermood\XF:UsermoodEntity')
        ->where('mood_id', $userid)
        ->fetchOne();  
    }


    public function cleanOldWihspers($whisperDate = null)
	{
		if ($whisperDate === null)
		{
			$whisperDate = $this->options()->wh_clean;
			if (!$whisperDate)
			{
				return 0;
			}
			$cleanWhisper = \XF::$time - 86400 * $whisperDate;
		}

		return $this->db()->delete('xf_whispers', 'wh_date < ? && wh_view = 1', $cleanWhisper);
	}

}

